program diskparm(input,output);
  type
     parms = array[0 .. 3] of
            record
              cylinders       : integer;
              no_heads        : byte;
              reduced_write   : integer;
              write_precomp   : integer;
              max_ecc         : byte;
              control_byte    : byte;
              time_out        : byte;
              time_out_format : byte;
              time_out_check  : byte;
              reserved        : array [0 ..3] of byte
             end;
   var
      i : integer;
      disk_pointer : ^parms absolute 0:$104;
   begin
    for i := 0 to 3 do
    with disk_pointer^[i] do
     begin
      writeln(' hard disk parameters  type:',i:5);
      writeln;

      writeln(' cylinders            : ',cylinders:5,
         ' heads :                ',no_heads:5);
      writeln(' reduced write        : ',reduced_write:5,
         ' write precompensation :',write_precomp:5);
      writeln(' max ecc burst        : ',max_ecc:5,
         ' control byte :         ',control_byte:5);
      writeln(' standard time out    : ',time_out:5,
         ' format drive time out :',time_out_format:5);
      writeln(' check drive time out : ',time_out_check:5);

      readln;
     end;
   end.